ISR4331 Router

Dear Experts,

I went to the cisco website to find the latest firmware for my client's router.

Currently the firmware is isr4300-universalk9.03.13.04.S.154-3.S4-ext.SPA.bin

In the downloads, i found:

3.13S
- 3.13.8S(MD)
- 3.13.7S(MD)
- 3.13.6aS(MD)
- 3.13.6S(MD)
- 3.13.5S(MD)
- 3.13.4S(MD)
- 3.13.3S(ED)
- 3.13.2S(ED)

I deduce that my client is using 3.13.4S(MD)

My account does not allow me to download 3.13.8s(MD) but I can download 3.13.7S(MD) but I am not able to review the version's release note, I clicked on the release note link and it brought me to https://www.cisco.com/c/en/us/support/ios-nx-os-software/ios-xe-3s/products-release-notes-list.html which I do not know which document to look at. As I cannot find the release note for 03.13.7S.

Can anyone please help me on this?
LVL 1
Anonymous KHIT EngineerAsked:
Who is Participating?
 
JustInCaseCommented:
If you are writing report and it is related to performance and risk analysis, I guess you should also check :
- Cisco IOS Software Checker it will show you which bugs are fixed and in which version (bug present in some device IOS XE baseline).
- Cisco Security Advisories and Alerts. If bugs and security flaws are relevant for client IOS XE should be upgraded.

It is up to you how to present it to client, but general idea would be to emphasis that stability and security is way much more important than having the newest IOS version, since newest version can have yet undiscovered bugs that potentially may lead to service downtime. If there are known bugs that may affect service availability, security risks or some service that is needed for company that is introduced in newer IOS version than upgrade would be recommended.

Of course, with a better structured sentences then written above, but general idea is something like this.
0
 
JustInCaseCommented:
The link is:
Release Notes for the Cisco 4000 Series ISRs
Always check Open Caveats for your specific release to know which configuration can lead to problems and crashes of router.
As always, the newest IOS version is not necessary the best for customer (the best is always the one where customer operations are not affected by version bugs). Even version with bugs that are known (and not relevant for production) is better than newest version with yet unknown and undiscovered bugs.
1
 
Anonymous KHIT EngineerAuthor Commented:
Hi! Predrag,

The caveats also do not have the version 3.13.7S.

On another note, the current router is running well with no errors, how can I write in my report to my client that there is no need to upgrade the router even though there are new versions available to upgrade the firmware?
0
 
Anonymous KHIT EngineerAuthor Commented:
Thanks Predrag
0
 
JustInCaseCommented:
You're welcome.
0
Question has a verified solution.

Are you are experiencing a similar issue? Get a personalized answer when you ask a related question.

Have a better answer? Share it in a comment.

All Courses

From novice to tech pro — start learning today.